(function($){
    $.fn.truefalse = function (params) {
        var $this = $(this);

        var settings =$.extend({
            messageWell:null,
            messageWrong:null,
            messageComplete:null
        },params);

        main.call(this);

        function main()
        {
            $this.on('click','.option',active);
            $this.on('click','.fn_btncheck',check);
            checkSizeScreen();
            $(window).resize(function() {
                checkSizeScreen();
            });
        }


        function active()
        {
            if($(this).hasClass('active'))
                $(this).removeClass('active');
            else
                $(this).addClass('active');
        }

        function check(){

            var couter = 0;
            var cantOptions = $('.item', $this).length;
            $('.item', $this).each(function(i,e){
                if($(e).children('.option').hasClass('active') == parseInt($(e).data('value')))
                    couter++;
            });

            if(couter == cantOptions)
            {
                $('#retro > .content-retro').html($('#' + settings.messageWell).html());
                $('#retro').fadeIn();
            }
            else
            {
                $('#retro > .content-retro').html($('#' + settings.messageWrong).html());
                $('#retro').fadeIn();
            }
        }

        function checkSizeScreen() {
            if(window.innerWidth < 768)
                openModal('size_screen');
            else{
                $('#modal').removeClass().addClass('zoomOut animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){             $(this).removeClass().hide();         });}
        }
    }
})(jQuery);